Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07858 Crash/Freeze Minor Always Jan 27, 2021, 14:05 Jun 10, 2021, 00:37
Tester Robbbert View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS Windows 10 (64-bit)
Status [?] Confirmed Driver
Version 0.228 Fixed in Version Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 07858: CORE: Use of -verbose causes a crash before start
Description Use of the verbose switch will cause many games to crash while in the process of starting up.
Steps To Reproduce With the official build, do

>mame64 batman -v

It will crash while starting the video device
Additional Information Tafoid has a list of several hundred other games that have the same issue.

I picked batman as it seemed to always happen with the official MAME.

This issue does not occur with my homebuilt MAME, possibly because of a different GCC version. (I'm using 10.1)
Github Commit
Flags
Regression Version
Affected Sets / Systems CORE
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.18407
Tafoid
Administrator
Jan 27, 2021, 14:11
Some more examples:
https://mameload.mameworld.info/verbosecrash.txt
https://mameload.mameworld.info/verbosecrash2.txt

Similar to what was reported in late 2019 which was suspected to be some compiler bug that was exposed during code changes.
https://www.mameworld.info/ubbthreads/showthreaded.php?Cat=&Number=384425
User avatar
No.18413
cuavas
Administrator
Jan 28, 2021, 04:31
I ran gauntlet in a release build under valgrind, and it didn’t turn up any branches on uninitialised values or out-of-bounds accesses (I realise that was on Linux, so different calling convention, object format, etc. but it would still turn up a lot of issues). Given it’s jumping into the weeds from the well-exercised string formatting code, it looks a lot like a compiler bug.
User avatar
No.18804
cuavas
Administrator
May 4, 2021, 18:42
Interestingly, -fomit-frame-pointer acts as a work-around. It really looks like something going wrong with exception unwinding.
User avatar
No.18851
Robbbert
Developer
May 16, 2021, 05:46
From Tafoid:

Issue traced to January 20, 2021
"Much more core std::string_view modernization"
https://github.com/mamedev/mame/commit/91921618c2e06bd0ed073b8efccd31a127c9012d
User avatar
No.18958
Robbbert
Developer
Jun 9, 2021, 23:34
The issue is no longer in evidence in the release of 0.232 .
Cuavas can this be closed?
User avatar
No.18959
Tafoid
Administrator
Jun 10, 2021, 00:37
AFAIK it is still happening, just not in integer release builds due to him adding that compile flag mentioned above.
It still crashes for me upon testing current day's Git source.